#                     ShipWars Sound References File
#
#	This file contains a list of sound referances that
#	correspond to a sound file.
#
#
#	Format of this file is as follows:
#
#	Header block members.
#
#	Title = s		Specifies the title of this SndRefs
#				 file.
#
#	AudioModeName = s	Specifies the Y2 compliant Audio mode
#				name for use on all the sound files for
#				this entire Sound Sceheme.
#
#				If you are not sure what value to give,
#				the default Audio mode name `Default' is
#				always defined on the sound server. Other
#				possible Audio mode names are:
#
#				PlayMono8000
#				PlayStereo8000
#				PlayMono11025
#				PlayStereo11025
#				PlayMono22050
#				PlayStereo22050
#				PlayMono44100
#				PlayStereo44100
#
#
#	SndRef block members:
#
#	BeginSndRef = i		Marks the beginning of a SndRef block
#				for the SndRef specified by i.
#
#	Path = s		Specifies the path the sound file for
#				this SndRef. If the path is not
#				absolute then SoundsDir (from the
#				client configuration) will be prefixed
#				to this value.
#
#	Name = s		Name of this SndRef.
#
#	Description = s		Description of this SndRef.
#
#	EndSndRef		Marks the end of a SndRef block.
#


# #####################################################################
#
#                                Header
#

#   Title of this sound scheme:
#
Title = XShipWars Default


#   Sound server mode name:
#
#	Name of the mode the sound server is to switch to when
#	using this sound scheme.
#
ModeName = PlayStereo11025



# ##################################################################### 
#
#   Sound scheme items:
#
#	Some sound items require specific index numbers, do not change
#	the index numbers for those sound items.
#

# All purpose default sound when no other sound is available
#
BeginSndRef = 0
    Name = Default Button Beep
    Path = beeps/button01.wav
EndSndRef

# Standard button press beep
#
BeginSndRef = 1
    Name = Button Beep 1
    Path = beeps/button01.wav
EndSndRef

# Standard error beep
#
BeginSndRef = 2
    Name = Error Beep
    Path = beeps/stderr03.wav
EndSndRef

# "The ShipWars Sound"
#
BeginSndRef = 3
    Name = The ShipWars Sound
    Path = xsw_logo01.wav
EndSndRef

# Menu item highlight
#
BeginSndRef = 4
    Name = Menu Highlight
    Path = menu/menu_highlight01.wav
EndSndRef

# Menu item select
BeginSndRef = 5
    Name = Menu Item Select
    Path = menu/menu_select01.wav
EndSndRef


# Low attention beep
#
BeginSndRef = 10
    Name = Attention Beep Low
    Path = beeps/attention01.wav
EndSndRef

# Moderate attention beep
#
BeginSndRef = 11
    Name = Attention Beep Moderate
    Path = beeps/attention01.wav
EndSndRef


# Antimatter Low Warning
#
BeginSndRef = 12
    Name = Antimatter Low Warning Beep
    Path = beeps/antimatter_low.wav
EndSndRef


# Channel Open
#
BeginSndRef = 13
    Name = Channel Opened
    Path = com/channel_open.wav
EndSndRef

# Incoming Fire Alert
#
BeginSndRef = 14
    Name = Incoming Fire Beep
    Path = beeps/incoming_projectile_alert01.wav
EndSndRef


#   Incoming message beep
#
BeginSndRef = 15
    Name = Incoming Message Beep
    Path = beeps/attention01.wav
EndSndRef


#   Object scan beep.
#
BeginSndRef = 16
    Name = Scanner Lock
    Path = beeps/scan01.wav
EndSndRef

#   Contacts beep.
#
BeginSndRef = 17
    Name = Contacts Beep
    Path = beeps/contacts01.wav
EndSndRef

#   Hail outgoing.
#
BeginSndRef = 18
    Name = Hail Outgoing Beep
    Path = com/hail_outgoing.wav
EndSndRef

#   Hail incoming.
#   
BeginSndRef = 19
    Name = Hail Incoming Beep
    Path = com/hail_incoming.wav
EndSndRef


# ######################################################################
#   
#                      Operations Sounds (20 - 29)
#

# Engine Power Up
#
BeginSndRef = 20
    Name = Engine Power Up
    Path = engine/power_up.wav
EndSndRef

# Engine Power Down
#
BeginSndRef = 21
    Name = Engine Power Down
    Path = engine/power_down.wav
EndSndRef

# Cloak Up
#
BeginSndRef = 22
    Name = Cloak Up
    Path = cloak/cloak_up.wav
EndSndRef

# Cloak Down
#
BeginSndRef = 23
    Name = Cloak Down
    Path = cloak/cloak_down.wav
EndSndRef

# Shield Up
#
BeginSndRef = 24
    Name = Shield Up
    Path = shield/shield_up.wav
EndSndRef

# Shield Down
#
BeginSndRef = 25
    Name = Shield Down
    Path = shield/shield_down.wav
EndSndRef

# Tractor Beam Engage
#
BeginSndRef = 26
    Name = Tractor Beam Engage
    Path = tractor_beam/tractor_beam_engage.wav
EndSndRef

# Tractor Beam Disengage
#
BeginSndRef = 27
    Name = Tractor Beam Disengage
    Path = tractor_beam/tractor_beam_disengage.wav
EndSndRef

# Transporter Beam Up
#
BeginSndRef = 28
    Name = Transporter Beam Up
    Path = transporter/beam_up.wav
EndSndRef

# Transporter Beam Down
#
# Using beam_up.wav for now
#
BeginSndRef = 29
    Name = Transporter Beam Down
    Path = transporter/beam_up.wav             
EndSndRef


# ######################################################################
#
#                         Weapons Fire (30 - 37)
#

# Stream
#
BeginSndRef = 30
    Name = Stream Weapon Fire
    Path = weapons/fire_stream01.wav
EndSndRef

# Pulse
#
BeginSndRef = 31
    Name = Pulse Weapon Fire
    Path = weapons/fire_pulse01.wav
EndSndRef

# Projectile
#
BeginSndRef = 32
    Name = Projectile Fire
    Path = weapons/fire_projectile01.wav
EndSndRef

# Deploy/launch (self propelled) large projectile
#
BeginSndRef = 33
    Name = Self-Propelled Projectile Fire
    Path = weapons/fire_projectile02.wav
EndSndRef

# Deploy Mine
#
BeginSndRef = 34
    Name = Deploy Mine
    Path = weapons/fire_pulse06.wav
EndSndRef

# Launch Probe
#
BeginSndRef = 35
    Name = Launch Probe
    Path = weapons/fire_pulse05.wav
EndSndRef

# Deploy Buoy
#
BeginSndRef = 36
    Name = Deploy Buoy
    Path = weapons/fire_pulse06.wav
EndSndRef

# Launch Warhead
BeginSndRef = 37
    Name = Launch Warhead
    Path = weapons/fire_warhead.wav
EndSndRef


# ######################################################################
#
#                      Looping Effects (40 - 49)
#

# Tractor Beam Loop
BeginSndRef = 45
    Name = Tractor Beam Loop
    Path = tractor_beam/tractor_beam_loop.wav
EndSndRef



# ######################################################################
#
#                Collisions & Explosions (50 - 89)
#

# Collide Hull
#
BeginSndRef = 50
    Name = Collide Hull
    Path = explosions/collide01.wav
EndSndRef

# Weapons fire hit target shield
#
BeginSndRef = 53
    Name = Hit Target Shield
    Path = explosions/hit_target01.wav
EndSndRef

# Weapons fire hit target structure
#
BeginSndRef = 54
    Name = Hit Target Structure
    Path = explosions/hit_target01.wav
EndSndRef

# Weapons fire hit our shields
#
BeginSndRef = 55
    Name = Hit Our Shields
    Path = explosions/hit_us01.wav
EndSndRef

# Weapons fire hit our structure
#
BeginSndRef = 56
    Name = Hit Our Structure
    Path = explosions/hit_us01.wav
EndSndRef

# Explosion or detonation of a vessel
#
BeginSndRef = 57
    Name = Destruction Of Object
    Path = explosions/hit_target02.wav
EndSndRef

# Planet or starbase exploding
#
BeginSndRef = 58
    Name = Destruction Of Planet/Starbase
    Path = explosions/hit_target02.wav
EndSndRef


# ######################################################################
#
#                         Alert Beeps (90 - 99)
#

# Red Alert Beep
#
BeginSndRef = 90
    Name = Red Alert Beep
    Path = beeps/red_alert.wav
EndSndRef

# Yellow Alert Beep
#
BeginSndRef = 91
    Name = Yellow Alert Beep
    Path = beeps/yellow_alert.wav
EndSndRef

# Event Warning Beep
#
BeginSndRef = 95
    Name = Event Warning Beep
    Path = beeps/warning01.wav
EndSndRef

# Auto Destruct Beep
#
BeginSndRef = 97
    Name = Auto Destruct Beep
    Path = beeps/auto_destruct.wav
EndSndRef



# ######################################################################
#
#                    Background Music (100 - 119)
#

# Standard
#
BeginSndRef = 100
    Name = BG Music - Standard
    Path = bg_music/bluedanube.mid
EndSndRef

# Standard 2
#
BeginSndRef = 101
    Name = BG Music - Standard 2
    Path = bg_music/bluedanube.mid
EndSndRef

# Engagement
#
BeginSndRef = 102
    Name = BG Music - Engagement
    Path = bg_music/marsbringerofwar.mid
EndSndRef

# Nebula
#
BeginSndRef = 103
    Name = BG Music - Nebula
    Path = bg_music/aquarium.mid
EndSndRef

# Asteroid Field
#
BeginSndRef = 104
    Name = BG Music - Asteroid Field
    Path = bg_music/arabesque.mid
EndSndRef
